import { expect, screenshot, test } from "../../../../../../playwright/src/index";
const TAG = 'bal-card';
const VARIANTS = ['basic', 'colors', 'flat', 'square', 'border', 'space'];
const image = screenshot(TAG);
test.beforeEach('Setup', async ({ page }) => {
    await page.setupVisualTest(`/components/${TAG}/test/${TAG}.visual.html`);
});
VARIANTS.forEach(variant => {
    test(variant, async ({ page }) => {
        const el = page.getByTestId(variant);
        await expect(el).toHaveScreenshot(image(`${variant}`));
    });
});
